contrib: Add build script for open5gs

Change-Id: I0ed43dadbfe08811dd72064ee7332d0872882dfd
diff --git a/contrib/jenkins-build-common.sh b/contrib/jenkins-build-common.sh
index 0dac3a4..75d1e4f 100644
--- a/contrib/jenkins-build-common.sh
+++ b/contrib/jenkins-build-common.sh
@@ -151,6 +151,13 @@
     rm -rf build && mkdir build && cd build || exit 1
     set +x; echo; echo; set -x
     cmake -DCMAKE_INSTALL_PREFIX=$prefix $configure_opts ../
+  elif [ -f meson.build ]; then
+    rm -rf build && mkdir build && cd build || exit 1
+    set +x; echo; echo; set -x
+    meson ../ --prefix=$prefix $configure_opts
+    ninja -j8
+    ninja install
+    return
   else
     echo "Unknwown build system" && exit 1
   fi
diff --git a/contrib/jenkins-build-open5gs.sh b/contrib/jenkins-build-open5gs.sh
new file mode 100755
index 0000000..ecee8ca
--- /dev/null
+++ b/contrib/jenkins-build-open5gs.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e -x
+
+base="$PWD"
+name="open5gs"
+git_url="${git_url:-https://github.com/open5gs}"
+project_name="${project_name:-open5gs}"
+. "$(dirname "$0")/jenkins-build-common.sh"
+
+build_repo $project_name "main" $configure_opts
+
+create_bin_tgz "open5gs-mmed"